curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/jobs/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”The page number from which you want your page search results to be displayed.
Number of results per page
Filter scheduled runs by pipeline version ID
Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
Responses
Section titled “Responses”A list of scheduled jobs.
object
HTTP status code for the operation.
object
The unique identifier of the scheduled job.
The name of the scheduled job.
Unique identifier for the job.
Indicates whether the job is enabled.
ID of the associated experiment.
ID of the pipeline version.
The maximum number of concurrent runs allowed.
object
object
The end time for the schedule.
The start time for the schedule.
Interval in seconds for periodic execution.
The source of the job.
Error details (empty if none).
object
General response message.
Example
{ "code": 200, "data": [ { "id": 30, "name": "tir-run-111417044747", "job_id": "e05346aa-97ce-41d0-962f-f9087c86c5f6", "is_enabled": true, "experiment_id": "843", "pipeline_version_id": "1792", "max_concurrency": 1, "trigger": { "periodic_schedule": { "end_time": "2024-11-15T18:25:47Z", "start_time": "2024-11-14T18:25:47Z", "interval_second": 86400 } }, "source": "pipeline" } ], "message": "Success"}